Public Member Functions | Public Attributes | List of all members
Quattro9GraphInternal::Shape Struct Reference

Internal: a shape of a Quattro9Graph. More...

## Public Member Functions
| Shape ()
| constructor More...
bool | empty () const
| returns true if the shape is empty More...
WPSBox2f | getBdBox () const
| returns true if the bounding box More...

## Public Attributes
WPSBox2f | m_box
| the box(if this is a group) More...
std::vector< std::pair< WPSGraphicShape, WPSGraphicStyle > > | m_listShapes
| the list of shape and style More...
std::shared_ptr< Shape > | m_child
| the child (if this is a group) More...

## Detailed Description

Internal: a shape of a Quattro9Graph.

## Constructor & Destructor Documentation

## ◆ Shape()

Quattro9GraphInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool Quattro9GraphInternal::Shape::empty | ( |  | ) | const
| inline

returns true if the shape is empty

## ◆ getBdBox()

WPSBox2f Quattro9GraphInternal::Shape::getBdBox | ( |  | ) | const
| inline

returns true if the bounding box

Referenced by Quattro9Graph::sendShape().

## Member Data Documentation

## ◆ m_box

WPSBox2f Quattro9GraphInternal::Shape::m_box

the box(if this is a group)

Referenced by getBdBox(), and Quattro9Graph::readShapeRec().

## ◆ m_child

std::shared_ptr<Shape> Quattro9GraphInternal::Shape::m_child

the child (if this is a group)

Referenced by empty(), getBdBox(), Quattro9Graph::readShapeRec(), and Quattro9Graph::sendShape().

## ◆ m_listShapes

std::vector<std::pair<WPSGraphicShape, WPSGraphicStyle> > Quattro9GraphInternal::Shape::m_listShapes

the list of shape and style

Referenced by empty(), getBdBox(), Quattro9Graph::readShapeRec(), and Quattro9Graph::sendShape().

The documentation for this struct was generated from the following file:

- Quattro9Graph.cpp